*{
    margin: 0;
    padding: 0;
    outline: 0;
}
body, .constructor__block, .menu__edit-tools{
    display: flex;
}
.a{
    color: #575a6d;
}
.constructor__second-block-title, body{
    font-size: calc( (100vw - 350px)/(1280 - 350) * (20 - 12) + 12px);
}
body, .menu__elem-title {
    background-color: #e0e3d2;
}
body{
    font-family: 'Sans-Bold';
    height: 100%;
}
.menu, .constructor{
    color: #575a6d;
    background-color: white;
}
.menu{
    padding-top: 20px;
    flex: 1.4;
    height: 96.8vh;
    overflow:auto;
    overflow-x:hidden;
    text-align: center;
}
.menu__element, .constructor{
    width: 80%;
}
.menu__element, .constructor, .menu__elem-title{
    box-shadow: 0 0 10px #bcbcbf;
    border-radius: 20px;
}
.menu__element{
    margin: 15px auto;
    padding: 15px;
}
.conteiner{
    flex: 3;
    overflow:auto;
    overflow-x:hidden;
    height: 100vh;
}
.constructor{
    margin: 0 auto;
    margin-top: 40px;
    display: flex;
    flex-direction: column;
}
.constructor__first-block{
    border-radius: 20px 20px 0 0 ;
    background-color: #3786c9;
    color: white;
}
.constructor__first-block-title, .constructor__contact-inf{
    font-size: calc( (100vw - 350px)/(1280 - 350) * (25 - 16) + 16px);
}
.constructor__block{   
    width: 94%;
    padding: 0 3%;
    height: 18vh;    
    justify-content: space-between;
}
.constructor__second-block{
    background-color: #575a6d;
    flex: 0 0 auto;
    border-radius: 0 0 20px 20px ;
    margin-top: 1vh; 
    
}
.constructor__contact-inf{
    color: #ebf3fa;
    text-align: end;
}
.constructor__elem-title{
    letter-spacing: 1px;
}
.constructor__elem-title, .constructor__contact-inf{
    margin-top: 4%;
}
.constructor__second-block-title{
    color: #c7cabf;
}
.menu__edit-tools{
    margin: 10px 0;
    align-items: center;
    justify-content: space-around;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (15 - 12) + 12px);
}
.menu__elem-title, .menu__edit-button{
    padding: 10px 0;  
    width: 40%;
}
.menu__elem-title{
    font-family: 'Sans-Reg';
    color: #575a6d;
}
.menu__edit-button{
    background-color: #b4c640;
    border: none;
    border-radius: 15px;
    color: white;
    font-family: 'Sans-Bold'
}
.menu__delet-edition-button{
    border: none;
    background-color: #e0e3d2;
    border-radius: 20px;
    width: 20px;
    height: 20px;
}
.button-plus{
    margin:-6.5vh auto 0 auto;
    width: 80px;
    height: 80px;
    background-color: #3786c9;
    border-radius: 100%;
    text-align: center;
    border: none;
    z-index: 10;
    color: white;
    font-weight: bold;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (72 - 60) + 60px);
    box-shadow: 0 0 20px #313541;
}
.content{
    flex: 1 0 auto;
}
.menu__editor{
    display: none;
    flex-direction: column;
    align-items: flex-start;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (15 - 12) + 12px);
}
.menu__elem-title-editor{
    border: solid 2px #b4c640;
    border-radius: 15px;
    padding: 10px;
    width: 90%;
    margin: 5px 0;
}
.menu__mini-freme-img{
    width: 100%; 
}
.menu__nav-editor{
    width: 100%;
    text-align: left;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (15 - 12) + 12px);
}
.menu__news-editor{
    display: none;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (15 - 12) + 12px);
}
.menu__news-from-to-input{
    width: 32%;
    font-size: 9px;
    border: none;
    border-bottom: solid 1px black;
    vertical-align: bottom;
}
.validity{
    display: flex;
    border: solid 2px #b4c640;
    border-radius: 15px;
    padding: 10px;
    margin: 5px 0;
}
.menu__news-list{
    margin: 10px 0;
    display: flex;
    justify-content: space-around;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (15 - 8) + 8px);
}
.menu__edit-button-news{
    padding: 10px 0;  
    width: 30%;
    background-color: #b4c640;
    border: none;
    border-radius: 20px;
    color: white;
    font-family: 'Sans-Bold';
    font-size: calc( (100vw - 350px)/(1280 - 350) * (15 - 8) + 8px);
}
.menu__news-list-item-title{
    font-family: 'Sans-Reg';
    padding: 10px 0;  
    width: 30%;
    border: none;
    border-radius: 20px;
    box-shadow: 0 0 10px #bcbcbf;
    text-align: center;
}
.menu__news-list-item-delete{
    font-family: 'Sans-Bold';
    color: #606374;
    padding: 10px 0;  
    width: 30%;
    border: none;
    border-radius: 20px;
    box-shadow: 0 0 10px #bcbcbf;
    text-align: center;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (15 - 8) + 8px);
}
.menu__add-news-botton{
    color: #87b6de;
    background-color: white;
    border: solid 2px #87b6de;
    padding: 5px 20px;
    width: 70%;
    font-family: 'Sans-Bold';
    border-radius: 15px;
    margin: 10px auto;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (15 - 12) + 12px);
}
.button-pen{
    border: none;
    background-color: white;
    width: 20%;
    margin-left: 80%;
    z-index: 10;
    display: none;
}
.button-pen__img{
    width: 100%;
}
.menu__elem-frame-title{
    text-align: start;
    font-family: 'Sans-Reg';
    font-size: calc( (100vw - 350px)/(1280 - 350) * (15 - 12) + 12px);
}
.menu__elem-frame-img{
    width: 100%;
}
.content__news-list{
    width: 80%;
    margin-left:10%;
}
.content__title{
    margin-left: 10%;
    text-transform: uppercase;
}
.content__news-title{
    font-size: calc( (100vw - 350px)/(1280 - 350) * (20 - 15) + 15px);
    color: #3786c9;
    font-family: 'Sans-Bold';
}
.content__news-list-items{
    margin: 2.5% 0;
    box-shadow: 0 0 10px #bcbcbf;
    border-radius: 20px;
    padding: 2vw;
    display: flex;
}
.content__news-top-titles{
    display: flex;
    justify-content: space-between;
    align-content: baseline;

}
.content__news-date{
    width: 20%;;
    justify-content: space-between;
    display: flex;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (10 - 8) + 8px);
}
.content__news-content{
    margin-left: 2.5vw;
    font-family: 'Sans-Reg';
}
.content__news-text{
    margin-top: 1.8vh;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (15 - 12) + 12px);
}
#conteiner__add-news, #conteiner__addnews{
    display: none;
}
.conteiner__add-news{
    left: 32.3%;
    right: 15px;
    height: 100vh;
    opacity: 0.6;
    position: absolute;
    z-index: 100;
    background-color: #8e9195
}
.conteiner__news-editor{
    width: 30%;
    margin: 2% 0 0 18%;
    padding: 2%;
    background-color: white;
    position: absolute;
    z-index: 101;
    color: #575a6d;
    height: 82vh;
    border-radius: 20px;
    overflow:auto;
    overflow-x:hidden;
}
.edit-news-sub-title{
    font-family: 'Sans-Reg';
}
.conteiner__edit-news-title{
    display: flex;
    margin: 10px 0;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (20 - 15) + 15px);
}
.conteiner__edit-news-photo{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 5%;
}
.conteiner__edit-news-form-title{
    text-align: center;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (25 - 20) + 20px);
}
.edit-news-sub-title{
    margin-left: 4%;
    font-size: calc( (100vw - 350px)/(1280 - 350) * (15 - 12) + 12px);
}
.conteiner__news-title-input{
    width: 99%;
    padding: 5px;
    border: none;
    border-bottom: solid 2px #575a6d;
}
::-webkit-input-placeholder { 
    font-size: calc( (100vw - 350px)/(1280 - 350) * (15 - 12) + 12px);
}
.conteiner__news-add-photo-text{
    font-size: calc( (100vw - 350px)/(1280 - 350) * (20 - 15) + 15px);    
}
.conteiner__edit-news-textarea{
    width: 100%;
    margin: 10px 0;
    font-family: 'Sans-Reg';
}
.conteiner__add-photo-button{
   margin-left: 35%;
}
.conteiner__news-editor-buttom-buttons{
    margin: 5% auto 0;
    display: flex;
    justify-content: space-around;
}
.conteiner__news-add-full-text{
    font-size: calc( (100vw - 350px)/(1280 - 350) * (20 - 15) + 15px);    
}
/*Мета-теги*/
@media (max-width: 768px){
    .menu/*, .conteiner__add-news, .conteiner__news-editor*/{
        display: none;
    }
    .button-pen{
        display: inline-block;
    }
    .constructor{
        width: 100%;
        border-radius: 0;
        margin: 0;
    }
    .constructor__block{
        border-radius: 0;
    }
    .content__news-list {
        width: 90%;
        margin-left: 5%;
    }
    .content__news-top-titles {
        width: 80%;
    }
    .constructor__first-block{
        height: 20vh;
    }
    .constructor__second-block{
        margin-bottom: -70px;
    }
    
    .constructor__elem-title, .constructor__contact-inf {
        margin-bottom: 4%;
    }
    
    .button-plus {
        width: 70px;
        height: 70px;
    }
    .conteiner__add-news {
        width: 100%;
        left: 0;
        right: 0;
    }
    .conteiner__news-editor {
        width: 90%;
        margin: 2% 0 0 3%;
    }
}
/*Шрифты*/
@font-face{
    font-family: 'Sans-Bold';
    src: url('../fonts/SourceSans\ Bold.ttf');
}
@font-face{
    font-family: 'Sans-Reg';
    src: url('../fonts/SourseSans\ Regular.ttf');
}